Monitoring::Livestatus::INET(3pm)

NAME
Monitoring::Livestatus::INET - connector with tcp sockets

SYNOPSIS
    use Monitoring::Livestatus;
    my $nl = Monitoring::Livestatus::INET->new( 'localhost:9999' );
    my $hosts = $nl->selectall_arrayref("GET hosts");

CONSTRUCTOR

  new ( [ARGS] )
Creates an "Monitoring::Livestatus::INET" object. "new" takes at least the server. Arguments are the same as in "Monitoring::Livestatus". If the constructor is only passed a single argument, it is assumed to be a the "server" specification. Use either socker OR server.

METHODS

AUTHOR
Sven Nierlein, <nierlein@cpan.org>

COPYRIGHT AND LICENSE
Copyright (C) 2009 by Sven Nierlein

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.